> ## Documentation Index
> Fetch the complete documentation index at: https://developers.uqpay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Transfers

> 按指定条件筛选并请求转账列表。



## OpenAPI

````yaml /zh/global-account/v1.6/banking.yaml get /v1/transfer
openapi: 3.0.2
info:
  title: Banking API
  version: 0.0.1
  x-source-en-commit: 5e7e320
  x-source-en-path: global-account/v1.6/banking.yaml
  description: |
    UQPAY Banking API 为全球资金流转提供完整的银行与支付解决方案。

    ## 核心功能
    - 国际支付与转账
    - 多币种账户管理
    - 实时换汇
    - 虚拟账户服务
    - 资金充值与提现

    ## 认证
    调用 UQPAY API 时，使用 API 密钥对客户端请求进行认证。
    API 密钥是用于认证用户身份、授予特权操作访问权限的唯一数据字符串。
    请始终对 API 密钥保密并妥善保管。

    ## 服务组件
    - **Payout**：创建并管理向受益人发起的国际资金转账
    - **Payer**：管理发起付款并授权资金转账的实体
    - **Beneficiary**：管理收款方信息与银行信息
    - **Balance**：查看并管理多币种账户余额
    - **Deposit**：处理入账资金转账
    - **Virtual Accounts**：使用外币本地银行账户
    - **Conversion**：以有竞争力的汇率执行换汇

    ## 快速开始
    1. 获取 API 凭证
    2. 使用 sandbox URL 搭建测试环境
    3. 接入认证
    4. 从基础操作开始

    ## 支持
    如需技术支持与集成协助，请联系 UQPAY 支持团队。
  contact:
    name: UQPAY Support
    url: https://www.uqpay.com/support
    email: banking.tech@uqpay.com
  license:
    name: Proprietary
    url: https://www.uqpay.com/legal/api-terms
  termsOfService: https://www.uqpay.com/legal/terms
  x-api-id: banking-api-v1.6.0
  x-logo:
    url: https://uqpay.com/img/UQPAY_LogoAnimv2.gif
    backgroundColor: '#FFFFFF'
    altText: UQPAY Logo
  x-categories:
    - Banking
    - Payment Processing
    - Foreign Exchange
servers:
  - url: https://api-sandbox.uqpaytech.com/api
    description: Sandbox 基础 URL。
  - url: https://api.uqpay.com/api
    description: 生产环境基础 URL。
security: []
tags:
  - name: Balances
    description: 查看并管理账户中不同币种的可用资金。
  - name: Transfers
    description: 钱包转账资源用于将资金从你的 UQPAY 账户直接转入关联账户。
  - name: Deposits
    description: 充值是指向你的 UQPAY 全球收款账户发起的银行转账，用于补充资金或从第三方收款。
  - name: Virtual Accounts
    description: 虚拟账户是以外币形式存在的本地银行账户。它们支持全球收款，提供可从各类平台收款的账户信息。虚拟账户也可用于为 UQPAY 余额充值。
  - name: Payout
    description: >-
      当你向受益人发起付款时会创建一个 Payout
      资源。它记录受益人、银行信息、付款金额、状态及其他相关信息。你可以使用直接填写的受益人信息，或使用先前创建的受益人 ID 来创建 payout。
  - name: Payers
    description: 付款人是发起 payout 并授权将资金从其账户转入受益人账户的一方。
  - name: Beneficiaries
    description: 受益人是资金的收款方，通常也是最终从 payout 中获益的一方。
  - name: Conversion
    description: 管理交易的换汇与汇率。
  - name: Exchange Rates
    description: 获取指定货币对或全部可用货币对的实时汇率。
  - name: Global Accounts
    description: ⚠️ 警告 此 API 版本已弃用。已弃用的 API 版本最终将不再受支持。全球收款账户是充当本地银行账户的外币账户。
  - name: Simulator
    description: 在 sandbox 环境中模拟充值交易。
paths:
  /v1/transfer:
    get:
      tags:
        - Transfers
      summary: List Transfers
      description: 按指定条件筛选并请求转账列表。
      operationId: list-transfers
      parameters:
        - $ref: '#/components/parameters/PageSize'
        - $ref: '#/components/parameters/PageNumber'
        - $ref: '#/components/parameters/StartTime'
        - $ref: '#/components/parameters/EndTime'
        - $ref: '#/components/parameters/TransferStatus'
        - $ref: '#/components/parameters/CurrencyQuery'
      responses:
        '200':
          headers:
            x-response-id:
              $ref: '#/components/headers/XResponseId'
          description: OK —— 成功获取转账列表。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TransferListResponse'
                title: TransferListResponse
      security:
        - XAuthToken: []
components:
  parameters:
    PageSize:
      name: page_size
      description: 每页返回的最大条目数。必须在 **10 到 100** 之间（含）。
      in: query
      required: true
      schema:
        type: integer
        minimum: 1
        maximum: 100
        example: 10
    PageNumber:
      name: page_number
      description: 用于获取特定一组条目的页码。必须 **大于等于 1**。
      in: query
      required: true
      schema:
        type: integer
        minimum: 1
        example: 1
    StartTime:
      name: start_time
      description: '`created_time` 的开始时间，ISO8601 格式（含）。'
      in: query
      required: false
      schema:
        type: string
        example: '2024-03-01T00:00:00+08:00'
    EndTime:
      name: end_time
      description: '`created_time` 的结束时间，ISO8601 格式（含）。'
      in: query
      required: false
      schema:
        type: string
        example: '2024-03-01T00:00:00+08:00'
    TransferStatus:
      name: transfer_status
      description: |
        表示该转账交易的当前状态。有效值为：
        - `completed`：表示该转账交易已成功完成。
        - `failed`：表示该转账交易已失败。
      in: query
      required: false
      schema:
        type: string
        example: completed
        enum:
          - completed
          - failed
    CurrencyQuery:
      name: currency
      description: >-
        币种代码
        [ISO_4217](https://en.wikipedia.org/wiki/ISO_4217#List_of_ISO_4217_currency_codes)。
      in: query
      required: false
      schema:
        type: string
        example: USD,SGD
  headers:
    XResponseId:
      description: 响应的通用唯一标识符（UUID v4）。在与 UQPAY 支持团队沟通时有助于定位某个请求。
      schema:
        type: string
        format: uuid
        example: 2adba88e-9d63-44bc-b975-9b6ae3440dde
  schemas:
    TransferListResponse:
      type: object
      properties:
        total_pages:
          $ref: '#/components/schemas/TotalPages'
        total_items:
          $ref: '#/components/schemas/TotalItems'
        data:
          type: array
          description: 转账记录列表。
          items:
            $ref: '#/components/schemas/TransferEntity'
    TotalPages:
      type: integer
      example: 10
      description: 可用条目的总页数。
    TotalItems:
      type: integer
      example: 105
      description: 可用条目的总数。
    TransferEntity:
      type: object
      required:
        - transfer_id
        - reference_id
        - short_reference_id
        - source_account_name
        - destination_account_name
        - transfer_currency
        - transfer_amount
        - transfer_status
        - create_time
        - complete_time
        - created_by
      properties:
        transfer_id:
          type: string
          example: 94d48e21-0a99-480c-b1b7-2e6d34e6eb67
          description: 转账交易的唯一 UUID 标识符。
        reference_id:
          type: string
          example: P220406-LLCVLRM
          description: 系统生成的用于标识该实体的编号。
        short_reference_id:
          type: string
          example: P220406-LLCVLRM
          description: 系统生成的用于标识该实体的短编号。
        source_account_name:
          type: string
          example: UQPAY SOURCE
          description: 转出资金的账户名称。
        destination_account_name:
          type: string
          example: UQPAY DEST
          description: 接收转入资金的账户名称。
        transfer_currency:
          type: string
          example: USD
          description: >-
            转账所用的币种。币种代码遵循 [ISO
            4217](https://en.wikipedia.org/wiki/ISO_4217#List_of_ISO_4217_currency_codes)
            标准。
        transfer_amount:
          type: string
          example: '1000'
          description: 转账的金额。
        transfer_status:
          type: string
          example: pending
          description: |
            表示该转账交易的当前状态。有效值为：
            - `completed`：表示该转账交易已成功完成。
            - `failed`：表示该转账交易已失败。
          enum:
            - completed
            - failed
        create_time:
          type: string
          example: '2024-04-02T10:27:08+08:00'
          description: 请求在系统中发起时的时间戳。
        complete_time:
          type: string
          example: '0001-01-01T00:00:00Z'
          description: 请求成功处理并标记为 `COMPLETED` 时的时间戳。
        created_by:
          type: string
          example: System
          description: 发起该转账的用户或系统的标识符。
  securitySchemes:
    XAuthToken:
      type: apiKey
      in: header
      name: x-auth-token
      description: 由 UQPay 提供的登录 API Token。

````